namespace ORiN_TC3_Demo1
{
    partial class frmMain
    {
        /// <summary>
        /// 必要なデザイナー変数です。
        /// </summary>
        private System.ComponentModel.IContainer components = null;

        /// <summary>
        /// 使用中のリソースをすべてクリーンアップします。
        /// </summary>
        /// <param name="disposing">マネージ リソースが破棄される場合 true、破棄されない場合は false です。</param>
        protected override void Dispose(bool disposing)
        {
            if (disposing && (components != null))
            {
                components.Dispose();
            }
            base.Dispose(disposing);
        }

        #region Windows フォーム デザイナーで生成されたコード

        /// <summary>
        /// デザイナー サポートに必要なメソッドです。このメソッドの内容を
        /// コード エディターで変更しないでください。
        /// </summary>
        private void InitializeComponent()
        {
            this.components = new System.ComponentModel.Container();
            this.lblDemo = new System.Windows.Forms.Label();
            this.btnConnectAll = new System.Windows.Forms.Button();
            this.btnDisconnectAll = new System.Windows.Forms.Button();
            this.btnClose = new System.Windows.Forms.Button();
            this.timIPCam = new System.Windows.Forms.Timer(this.components);
            this.timVis = new System.Windows.Forms.Timer(this.components);
            this.timRobot = new System.Windows.Forms.Timer(this.components);
            this.timTC3 = new System.Windows.Forms.Timer(this.components);
            this.gboxTC3 = new System.Windows.Forms.GroupBox();
            this.btnTC3Conn = new System.Windows.Forms.Button();
            this.lblTC3 = new System.Windows.Forms.Label();
            this.gboxTC3Motor = new System.Windows.Forms.GroupBox();
            this.txtPosition = new System.Windows.Forms.Label();
            this.prgPosition = new System.Windows.Forms.ProgressBar();
            this.txtVelocity = new System.Windows.Forms.Label();
            this.lblTC3Pos = new System.Windows.Forms.Label();
            this.lblDirection = new System.Windows.Forms.Label();
            this.lblTC3Dir = new System.Windows.Forms.Label();
            this.lblTC3Vel = new System.Windows.Forms.Label();
            this.prgVelocity = new System.Windows.Forms.ProgressBar();
            this.pbMotor = new System.Windows.Forms.PictureBox();
            this.gboxTC3IO = new System.Windows.Forms.GroupBox();
            this.lblTC3IO5 = new System.Windows.Forms.Label();
            this.lblTC3IO4 = new System.Windows.Forms.Label();
            this.lblTC3IO3 = new System.Windows.Forms.Label();
            this.lblTC3IO2 = new System.Windows.Forms.Label();
            this.lblTC3IO1 = new System.Windows.Forms.Label();
            this.pbIO = new System.Windows.Forms.PictureBox();
            this.shapeContainer1 = new Microsoft.VisualBasic.PowerPacks.ShapeContainer();
            this.rcDI5 = new Microsoft.VisualBasic.PowerPacks.RectangleShape();
            this.rcDI4 = new Microsoft.VisualBasic.PowerPacks.RectangleShape();
            this.rcDI3 = new Microsoft.VisualBasic.PowerPacks.RectangleShape();
            this.rcDI2 = new Microsoft.VisualBasic.PowerPacks.RectangleShape();
            this.rcDI1 = new Microsoft.VisualBasic.PowerPacks.RectangleShape();
            this.gboxORiN = new System.Windows.Forms.GroupBox();
            this.gboxRC8 = new System.Windows.Forms.GroupBox();
            this.pbRC8 = new System.Windows.Forms.PictureBox();
            this.btnRoboStop = new System.Windows.Forms.Button();
            this.btnRoboStart = new System.Windows.Forms.Button();
            this.cmbProgList = new System.Windows.Forms.ComboBox();
            this.btnRoboConn = new System.Windows.Forms.Button();
            this.lblRobo = new System.Windows.Forms.Label();
            this.txtPCSValue = new System.Windows.Forms.RichTextBox();
            this.gboxUSBCam = new System.Windows.Forms.GroupBox();
            this.lblVis = new System.Windows.Forms.Label();
            this.chkVisHist = new System.Windows.Forms.CheckBox();
            this.rdoVisGray = new System.Windows.Forms.RadioButton();
            this.rdoVisEdge = new System.Windows.Forms.RadioButton();
            this.rdoVisNormal = new System.Windows.Forms.RadioButton();
            this.pbUSBCam = new System.Windows.Forms.PictureBox();
            this.btnVisConn = new System.Windows.Forms.Button();
            this.picVis = new System.Windows.Forms.PictureBox();
            this.gboxQR = new System.Windows.Forms.GroupBox();
            this.pbQRReader = new System.Windows.Forms.PictureBox();
            this.txtQR = new System.Windows.Forms.TextBox();
            this.btnQR = new System.Windows.Forms.Button();
            this.lblQR = new System.Windows.Forms.Label();
            this.gboxIPCam = new System.Windows.Forms.GroupBox();
            this.lblZoom = new System.Windows.Forms.Label();
            this.lblTilt = new System.Windows.Forms.Label();
            this.lblPan = new System.Windows.Forms.Label();
            this.trkZoom = new System.Windows.Forms.TrackBar();
            this.trkTilt = new System.Windows.Forms.TrackBar();
            this.trkPan = new System.Windows.Forms.TrackBar();
            this.pnlIPCam = new System.Windows.Forms.Panel();
            this.rdoIPCam2 = new System.Windows.Forms.RadioButton();
            this.rdoIPCam1 = new System.Windows.Forms.RadioButton();
            this.pbIPCam = new System.Windows.Forms.PictureBox();
            this.btnIPCamConn = new System.Windows.Forms.Button();
            this.lblIPCam = new System.Windows.Forms.Label();
            this.picIPCam = new System.Windows.Forms.PictureBox();
            this.lstMsgPane = new System.Windows.Forms.ListBox();
            this.picLayer = new System.Windows.Forms.PictureBox();
            this.gboxTC3.SuspendLayout();
            this.gboxTC3Motor.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbMotor)).BeginInit();
            this.gboxTC3IO.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbIO)).BeginInit();
            this.gboxORiN.SuspendLayout();
            this.gboxRC8.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbRC8)).BeginInit();
            this.gboxUSBCam.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbUSBCam)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.picVis)).BeginInit();
            this.gboxQR.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbQRReader)).BeginInit();
            this.gboxIPCam.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.trkZoom)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.trkTilt)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.trkPan)).BeginInit();
            this.pnlIPCam.SuspendLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbIPCam)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.picIPCam)).BeginInit();
            ((System.ComponentModel.ISupportInitialize)(this.picLayer)).BeginInit();
            this.SuspendLayout();
            // 
            // lblDemo
            // 
            this.lblDemo.BackColor = System.Drawing.Color.Transparent;
            this.lblDemo.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.lblDemo.Dock = System.Windows.Forms.DockStyle.Top;
            this.lblDemo.Font = new System.Drawing.Font("Arial", 20.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.lblDemo.ForeColor = System.Drawing.Color.Red;
            this.lblDemo.Location = new System.Drawing.Point(0, 0);
            this.lblDemo.Name = "lblDemo";
            this.lblDemo.Size = new System.Drawing.Size(1366, 43);
            this.lblDemo.TabIndex = 0;
            this.lblDemo.Text = "DENSO ORiN2 && BECKHOFF TwinCAT3 Embedded IPC";
            this.lblDemo.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // btnConnectAll
            // 
            this.btnConnectAll.Font = new System.Drawing.Font("Arial", 11.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.btnConnectAll.Location = new System.Drawing.Point(985, 729);
            this.btnConnectAll.Name = "btnConnectAll";
            this.btnConnectAll.Size = new System.Drawing.Size(115, 30);
            this.btnConnectAll.TabIndex = 3;
            this.btnConnectAll.Text = "Connect All";
            this.btnConnectAll.UseVisualStyleBackColor = true;
            this.btnConnectAll.Click += new System.EventHandler(this.btnConnectAll_Click);
            // 
            // btnDisconnectAll
            // 
            this.btnDisconnectAll.Font = new System.Drawing.Font("Arial", 11.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.btnDisconnectAll.Location = new System.Drawing.Point(1105, 729);
            this.btnDisconnectAll.Name = "btnDisconnectAll";
            this.btnDisconnectAll.Size = new System.Drawing.Size(115, 30);
            this.btnDisconnectAll.TabIndex = 4;
            this.btnDisconnectAll.Text = "Disconnect All";
            this.btnDisconnectAll.UseVisualStyleBackColor = true;
            this.btnDisconnectAll.Click += new System.EventHandler(this.btnDisconnectAll_Click);
            // 
            // btnClose
            // 
            this.btnClose.Font = new System.Drawing.Font("Arial", 11.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.btnClose.Location = new System.Drawing.Point(1225, 729);
            this.btnClose.Name = "btnClose";
            this.btnClose.Size = new System.Drawing.Size(115, 30);
            this.btnClose.TabIndex = 5;
            this.btnClose.Text = "Close";
            this.btnClose.UseVisualStyleBackColor = true;
            this.btnClose.Click += new System.EventHandler(this.btnClose_Click);
            // 
            // timIPCam
            // 
            this.timIPCam.Interval = 200;
            this.timIPCam.Tick += new System.EventHandler(this.timIPCam_Tick);
            // 
            // timVis
            // 
            this.timVis.Interval = 200;
            this.timVis.Tick += new System.EventHandler(this.timVis_Tick);
            // 
            // timRobot
            // 
            this.timRobot.Interval = 250;
            this.timRobot.Tick += new System.EventHandler(this.timRobot_Tick);
            // 
            // timTC3
            // 
            this.timTC3.Interval = 200;
            this.timTC3.Tick += new System.EventHandler(this.timTC3_Tick);
            // 
            // gboxTC3
            // 
            this.gboxTC3.BackColor = System.Drawing.Color.FromArgb(((int)(((byte)(192)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
            this.gboxTC3.Controls.Add(this.btnTC3Conn);
            this.gboxTC3.Controls.Add(this.lblTC3);
            this.gboxTC3.Controls.Add(this.gboxTC3Motor);
            this.gboxTC3.Controls.Add(this.gboxTC3IO);
            this.gboxTC3.Font = new System.Drawing.Font("Arial", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.gboxTC3.Location = new System.Drawing.Point(776, 47);
            this.gboxTC3.Name = "gboxTC3";
            this.gboxTC3.Size = new System.Drawing.Size(590, 370);
            this.gboxTC3.TabIndex = 2;
            this.gboxTC3.TabStop = false;
            this.gboxTC3.Text = "Realtime Device (TwinCAT3)";
            // 
            // btnTC3Conn
            // 
            this.btnTC3Conn.Font = new System.Drawing.Font("MS UI Gothic", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.btnTC3Conn.Location = new System.Drawing.Point(485, 23);
            this.btnTC3Conn.Name = "btnTC3Conn";
            this.btnTC3Conn.Size = new System.Drawing.Size(80, 27);
            this.btnTC3Conn.TabIndex = 12;
            this.btnTC3Conn.Text = "Connect";
            this.btnTC3Conn.UseVisualStyleBackColor = true;
            this.btnTC3Conn.Click += new System.EventHandler(this.btnTC3Conn_Click);
            // 
            // lblTC3
            // 
            this.lblTC3.BackColor = System.Drawing.Color.Gray;
            this.lblTC3.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.lblTC3.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(64)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
            this.lblTC3.Location = new System.Drawing.Point(470, 28);
            this.lblTC3.Name = "lblTC3";
            this.lblTC3.Size = new System.Drawing.Size(10, 19);
            this.lblTC3.TabIndex = 11;
            // 
            // gboxTC3Motor
            // 
            this.gboxTC3Motor.BackColor = System.Drawing.Color.Transparent;
            this.gboxTC3Motor.Controls.Add(this.txtPosition);
            this.gboxTC3Motor.Controls.Add(this.prgPosition);
            this.gboxTC3Motor.Controls.Add(this.txtVelocity);
            this.gboxTC3Motor.Controls.Add(this.lblTC3Pos);
            this.gboxTC3Motor.Controls.Add(this.lblDirection);
            this.gboxTC3Motor.Controls.Add(this.lblTC3Dir);
            this.gboxTC3Motor.Controls.Add(this.lblTC3Vel);
            this.gboxTC3Motor.Controls.Add(this.prgVelocity);
            this.gboxTC3Motor.Controls.Add(this.pbMotor);
            this.gboxTC3Motor.Font = new System.Drawing.Font("MS UI Gothic", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.gboxTC3Motor.Location = new System.Drawing.Point(21, 125);
            this.gboxTC3Motor.Name = "gboxTC3Motor";
            this.gboxTC3Motor.Size = new System.Drawing.Size(544, 233);
            this.gboxTC3Motor.TabIndex = 1;
            this.gboxTC3Motor.TabStop = false;
            this.gboxTC3Motor.Text = "            Motor Driver Unit";
            // 
            // txtPosition
            // 
            this.txtPosition.BackColor = System.Drawing.Color.WhiteSmoke;
            this.txtPosition.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.txtPosition.Location = new System.Drawing.Point(354, 178);
            this.txtPosition.Name = "txtPosition";
            this.txtPosition.Size = new System.Drawing.Size(162, 26);
            this.txtPosition.TabIndex = 17;
            // 
            // prgPosition
            // 
            this.prgPosition.Location = new System.Drawing.Point(155, 150);
            this.prgPosition.Name = "prgPosition";
            this.prgPosition.Size = new System.Drawing.Size(361, 25);
            this.prgPosition.TabIndex = 13;
            this.prgPosition.Value = 50;
            // 
            // txtVelocity
            // 
            this.txtVelocity.BackColor = System.Drawing.Color.WhiteSmoke;
            this.txtVelocity.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.txtVelocity.Location = new System.Drawing.Point(354, 73);
            this.txtVelocity.Name = "txtVelocity";
            this.txtVelocity.Size = new System.Drawing.Size(162, 26);
            this.txtVelocity.TabIndex = 12;
            // 
            // lblTC3Pos
            // 
            this.lblTC3Pos.AutoSize = true;
            this.lblTC3Pos.Location = new System.Drawing.Point(155, 130);
            this.lblTC3Pos.Name = "lblTC3Pos";
            this.lblTC3Pos.Size = new System.Drawing.Size(168, 16);
            this.lblTC3Pos.TabIndex = 9;
            this.lblTC3Pos.Text = "Actual Position (mm)";
            // 
            // lblDirection
            // 
            this.lblDirection.BackColor = System.Drawing.Color.WhiteSmoke;
            this.lblDirection.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.lblDirection.Location = new System.Drawing.Point(5, 195);
            this.lblDirection.Name = "lblDirection";
            this.lblDirection.Size = new System.Drawing.Size(141, 26);
            this.lblDirection.TabIndex = 6;
            this.lblDirection.Text = "Forward";
            // 
            // lblTC3Dir
            // 
            this.lblTC3Dir.AutoSize = true;
            this.lblTC3Dir.Location = new System.Drawing.Point(5, 176);
            this.lblTC3Dir.Name = "lblTC3Dir";
            this.lblTC3Dir.Size = new System.Drawing.Size(77, 16);
            this.lblTC3Dir.TabIndex = 5;
            this.lblTC3Dir.Text = "Direction";
            // 
            // lblTC3Vel
            // 
            this.lblTC3Vel.AutoSize = true;
            this.lblTC3Vel.Location = new System.Drawing.Point(155, 25);
            this.lblTC3Vel.Name = "lblTC3Vel";
            this.lblTC3Vel.Size = new System.Drawing.Size(186, 16);
            this.lblTC3Vel.TabIndex = 4;
            this.lblTC3Vel.Text = "Actual Velocity (mm/s)";
            // 
            // prgVelocity
            // 
            this.prgVelocity.Location = new System.Drawing.Point(155, 45);
            this.prgVelocity.Name = "prgVelocity";
            this.prgVelocity.Size = new System.Drawing.Size(361, 25);
            this.prgVelocity.TabIndex = 3;
            this.prgVelocity.Value = 50;
            // 
            // pbMotor
            // 
            this.pbMotor.BackgroundImage = global::ORiN_TC3_Demo1.Properties.Resources.Motor;
            this.pbMotor.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.pbMotor.Location = new System.Drawing.Point(0, 0);
            this.pbMotor.Name = "pbMotor";
            this.pbMotor.Size = new System.Drawing.Size(70, 70);
            this.pbMotor.TabIndex = 2;
            this.pbMotor.TabStop = false;
            // 
            // gboxTC3IO
            // 
            this.gboxTC3IO.BackColor = System.Drawing.Color.Transparent;
            this.gboxTC3IO.Controls.Add(this.lblTC3IO5);
            this.gboxTC3IO.Controls.Add(this.lblTC3IO4);
            this.gboxTC3IO.Controls.Add(this.lblTC3IO3);
            this.gboxTC3IO.Controls.Add(this.lblTC3IO2);
            this.gboxTC3IO.Controls.Add(this.lblTC3IO1);
            this.gboxTC3IO.Controls.Add(this.pbIO);
            this.gboxTC3IO.Controls.Add(this.shapeContainer1);
            this.gboxTC3IO.Font = new System.Drawing.Font("MS UI Gothic", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.gboxTC3IO.Location = new System.Drawing.Point(20, 49);
            this.gboxTC3IO.Name = "gboxTC3IO";
            this.gboxTC3IO.Size = new System.Drawing.Size(545, 70);
            this.gboxTC3IO.TabIndex = 0;
            this.gboxTC3IO.TabStop = false;
            this.gboxTC3IO.Text = "               I/O Unit";
            // 
            // lblTC3IO5
            // 
            this.lblTC3IO5.AutoSize = true;
            this.lblTC3IO5.Location = new System.Drawing.Point(451, 34);
            this.lblTC3IO5.Name = "lblTC3IO5";
            this.lblTC3IO5.Size = new System.Drawing.Size(17, 16);
            this.lblTC3IO5.TabIndex = 7;
            this.lblTC3IO5.Text = "5";
            // 
            // lblTC3IO4
            // 
            this.lblTC3IO4.AutoSize = true;
            this.lblTC3IO4.Location = new System.Drawing.Point(368, 34);
            this.lblTC3IO4.Name = "lblTC3IO4";
            this.lblTC3IO4.Size = new System.Drawing.Size(17, 16);
            this.lblTC3IO4.TabIndex = 6;
            this.lblTC3IO4.Text = "4";
            // 
            // lblTC3IO3
            // 
            this.lblTC3IO3.AutoSize = true;
            this.lblTC3IO3.Location = new System.Drawing.Point(285, 34);
            this.lblTC3IO3.Name = "lblTC3IO3";
            this.lblTC3IO3.Size = new System.Drawing.Size(17, 16);
            this.lblTC3IO3.TabIndex = 5;
            this.lblTC3IO3.Text = "3";
            // 
            // lblTC3IO2
            // 
            this.lblTC3IO2.AutoSize = true;
            this.lblTC3IO2.Location = new System.Drawing.Point(202, 34);
            this.lblTC3IO2.Name = "lblTC3IO2";
            this.lblTC3IO2.Size = new System.Drawing.Size(17, 16);
            this.lblTC3IO2.TabIndex = 4;
            this.lblTC3IO2.Text = "2";
            // 
            // lblTC3IO1
            // 
            this.lblTC3IO1.AutoSize = true;
            this.lblTC3IO1.Location = new System.Drawing.Point(119, 34);
            this.lblTC3IO1.Name = "lblTC3IO1";
            this.lblTC3IO1.Size = new System.Drawing.Size(17, 16);
            this.lblTC3IO1.TabIndex = 3;
            this.lblTC3IO1.Text = "1";
            // 
            // pbIO
            // 
            this.pbIO.BackgroundImage = global::ORiN_TC3_Demo1.Properties.Resources.IO;
            this.pbIO.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.pbIO.Location = new System.Drawing.Point(0, 0);
            this.pbIO.Name = "pbIO";
            this.pbIO.Size = new System.Drawing.Size(87, 43);
            this.pbIO.TabIndex = 1;
            this.pbIO.TabStop = false;
            // 
            // shapeContainer1
            // 
            this.shapeContainer1.Location = new System.Drawing.Point(3, 19);
            this.shapeContainer1.Margin = new System.Windows.Forms.Padding(0);
            this.shapeContainer1.Name = "shapeContainer1";
            this.shapeContainer1.Shapes.AddRange(new Microsoft.VisualBasic.PowerPacks.Shape[] {
            this.rcDI5,
            this.rcDI4,
            this.rcDI3,
            this.rcDI2,
            this.rcDI1});
            this.shapeContainer1.Size = new System.Drawing.Size(539, 48);
            this.shapeContainer1.TabIndex = 2;
            this.shapeContainer1.TabStop = false;
            // 
            // rcDI5
            // 
            this.rcDI5.BackColor = System.Drawing.Color.Transparent;
            this.rcDI5.CornerRadius = 5;
            this.rcDI5.FillColor = System.Drawing.Color.LimeGreen;
            this.rcDI5.FillStyle = Microsoft.VisualBasic.PowerPacks.FillStyle.Solid;
            this.rcDI5.Location = new System.Drawing.Point(472, 5);
            this.rcDI5.Name = "rcDI5";
            this.rcDI5.Size = new System.Drawing.Size(19, 22);
            // 
            // rcDI4
            // 
            this.rcDI4.BackColor = System.Drawing.Color.Transparent;
            this.rcDI4.CornerRadius = 5;
            this.rcDI4.FillColor = System.Drawing.Color.LimeGreen;
            this.rcDI4.FillStyle = Microsoft.VisualBasic.PowerPacks.FillStyle.Solid;
            this.rcDI4.Location = new System.Drawing.Point(389, 5);
            this.rcDI4.Name = "rcDI4";
            this.rcDI4.Size = new System.Drawing.Size(19, 22);
            // 
            // rcDI3
            // 
            this.rcDI3.BackColor = System.Drawing.Color.Transparent;
            this.rcDI3.CornerRadius = 5;
            this.rcDI3.FillColor = System.Drawing.Color.LimeGreen;
            this.rcDI3.FillStyle = Microsoft.VisualBasic.PowerPacks.FillStyle.Solid;
            this.rcDI3.Location = new System.Drawing.Point(306, 5);
            this.rcDI3.Name = "rcDI3";
            this.rcDI3.Size = new System.Drawing.Size(19, 22);
            // 
            // rcDI2
            // 
            this.rcDI2.BackColor = System.Drawing.Color.Transparent;
            this.rcDI2.CornerRadius = 5;
            this.rcDI2.FillColor = System.Drawing.Color.LimeGreen;
            this.rcDI2.FillStyle = Microsoft.VisualBasic.PowerPacks.FillStyle.Solid;
            this.rcDI2.Location = new System.Drawing.Point(223, 5);
            this.rcDI2.Name = "rcDI2";
            this.rcDI2.Size = new System.Drawing.Size(19, 22);
            // 
            // rcDI1
            // 
            this.rcDI1.BackColor = System.Drawing.Color.Transparent;
            this.rcDI1.CornerRadius = 5;
            this.rcDI1.FillColor = System.Drawing.Color.LimeGreen;
            this.rcDI1.FillStyle = Microsoft.VisualBasic.PowerPacks.FillStyle.Solid;
            this.rcDI1.Location = new System.Drawing.Point(140, 5);
            this.rcDI1.Name = "rcDI1";
            this.rcDI1.Size = new System.Drawing.Size(19, 22);
            // 
            // gboxORiN
            // 
            this.gboxORiN.BackColor = System.Drawing.Color.Lavender;
            this.gboxORiN.Controls.Add(this.gboxRC8);
            this.gboxORiN.Controls.Add(this.gboxUSBCam);
            this.gboxORiN.Controls.Add(this.gboxQR);
            this.gboxORiN.Controls.Add(this.gboxIPCam);
            this.gboxORiN.Font = new System.Drawing.Font("Arial", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.gboxORiN.Location = new System.Drawing.Point(0, 47);
            this.gboxORiN.Name = "gboxORiN";
            this.gboxORiN.Size = new System.Drawing.Size(770, 655);
            this.gboxORiN.TabIndex = 1;
            this.gboxORiN.TabStop = false;
            this.gboxORiN.Text = "Non-realtime Device (ORiN)";
            // 
            // gboxRC8
            // 
            this.gboxRC8.BackColor = System.Drawing.Color.Transparent;
            this.gboxRC8.Controls.Add(this.pbRC8);
            this.gboxRC8.Controls.Add(this.btnRoboStop);
            this.gboxRC8.Controls.Add(this.btnRoboStart);
            this.gboxRC8.Controls.Add(this.cmbProgList);
            this.gboxRC8.Controls.Add(this.btnRoboConn);
            this.gboxRC8.Controls.Add(this.lblRobo);
            this.gboxRC8.Controls.Add(this.txtPCSValue);
            this.gboxRC8.Font = new System.Drawing.Font("MS UI Gothic", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.gboxRC8.Location = new System.Drawing.Point(395, 415);
            this.gboxRC8.Name = "gboxRC8";
            this.gboxRC8.Size = new System.Drawing.Size(360, 230);
            this.gboxRC8.TabIndex = 3;
            this.gboxRC8.TabStop = false;
            this.gboxRC8.Text = "          Robot";
            // 
            // pbRC8
            // 
            this.pbRC8.BackgroundImage = global::ORiN_TC3_Demo1.Properties.Resources.RC8;
            this.pbRC8.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.pbRC8.Location = new System.Drawing.Point(0, 0);
            this.pbRC8.Name = "pbRC8";
            this.pbRC8.Size = new System.Drawing.Size(58, 43);
            this.pbRC8.TabIndex = 19;
            this.pbRC8.TabStop = false;
            // 
            // btnRoboStop
            // 
            this.btnRoboStop.Enabled = false;
            this.btnRoboStop.Font = new System.Drawing.Font("MS UI Gothic", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.btnRoboStop.Location = new System.Drawing.Point(280, 49);
            this.btnRoboStop.Name = "btnRoboStop";
            this.btnRoboStop.Size = new System.Drawing.Size(70, 26);
            this.btnRoboStop.TabIndex = 18;
            this.btnRoboStop.Text = "Stop";
            this.btnRoboStop.UseVisualStyleBackColor = true;
            this.btnRoboStop.Click += new System.EventHandler(this.btnRoboStop_Click);
            // 
            // btnRoboStart
            // 
            this.btnRoboStart.Enabled = false;
            this.btnRoboStart.Font = new System.Drawing.Font("MS UI Gothic", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.btnRoboStart.Location = new System.Drawing.Point(205, 49);
            this.btnRoboStart.Name = "btnRoboStart";
            this.btnRoboStart.Size = new System.Drawing.Size(70, 26);
            this.btnRoboStart.TabIndex = 17;
            this.btnRoboStart.Text = "Start";
            this.btnRoboStart.UseVisualStyleBackColor = true;
            this.btnRoboStart.Click += new System.EventHandler(this.btnRoboStart_Click);
            // 
            // cmbProgList
            // 
            this.cmbProgList.FormattingEnabled = true;
            this.cmbProgList.Location = new System.Drawing.Point(5, 49);
            this.cmbProgList.Name = "cmbProgList";
            this.cmbProgList.Size = new System.Drawing.Size(190, 24);
            this.cmbProgList.TabIndex = 16;
            this.cmbProgList.SelectedIndexChanged += new System.EventHandler(this.cmbProgList_SelectedIndexChanged);
            // 
            // btnRoboConn
            // 
            this.btnRoboConn.Font = new System.Drawing.Font("MS UI Gothic", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.btnRoboConn.Location = new System.Drawing.Point(270, 16);
            this.btnRoboConn.Name = "btnRoboConn";
            this.btnRoboConn.Size = new System.Drawing.Size(80, 27);
            this.btnRoboConn.TabIndex = 14;
            this.btnRoboConn.Text = "Connect";
            this.btnRoboConn.UseVisualStyleBackColor = true;
            this.btnRoboConn.Click += new System.EventHandler(this.btnRoboConn_Click);
            // 
            // lblRobo
            // 
            this.lblRobo.BackColor = System.Drawing.Color.Gray;
            this.lblRobo.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.lblRobo.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(64)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
            this.lblRobo.Location = new System.Drawing.Point(255, 22);
            this.lblRobo.Name = "lblRobo";
            this.lblRobo.Size = new System.Drawing.Size(10, 19);
            this.lblRobo.TabIndex = 13;
            // 
            // txtPCSValue
            // 
            this.txtPCSValue.BackColor = System.Drawing.SystemColors.Control;
            this.txtPCSValue.Location = new System.Drawing.Point(5, 81);
            this.txtPCSValue.Name = "txtPCSValue";
            this.txtPCSValue.ReadOnly = true;
            this.txtPCSValue.Size = new System.Drawing.Size(350, 143);
            this.txtPCSValue.TabIndex = 20;
            this.txtPCSValue.Text = "";
            // 
            // gboxUSBCam
            // 
            this.gboxUSBCam.BackColor = System.Drawing.Color.Transparent;
            this.gboxUSBCam.Controls.Add(this.lblVis);
            this.gboxUSBCam.Controls.Add(this.chkVisHist);
            this.gboxUSBCam.Controls.Add(this.rdoVisGray);
            this.gboxUSBCam.Controls.Add(this.rdoVisEdge);
            this.gboxUSBCam.Controls.Add(this.rdoVisNormal);
            this.gboxUSBCam.Controls.Add(this.pbUSBCam);
            this.gboxUSBCam.Controls.Add(this.btnVisConn);
            this.gboxUSBCam.Controls.Add(this.picVis);
            this.gboxUSBCam.Font = new System.Drawing.Font("MS UI Gothic", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.gboxUSBCam.Location = new System.Drawing.Point(395, 23);
            this.gboxUSBCam.Name = "gboxUSBCam";
            this.gboxUSBCam.Size = new System.Drawing.Size(360, 380);
            this.gboxUSBCam.TabIndex = 2;
            this.gboxUSBCam.TabStop = false;
            this.gboxUSBCam.Text = "       Vision (USB Camera)";
            // 
            // lblVis
            // 
            this.lblVis.BackColor = System.Drawing.Color.Gray;
            this.lblVis.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.lblVis.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(64)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
            this.lblVis.Location = new System.Drawing.Point(245, 22);
            this.lblVis.Name = "lblVis";
            this.lblVis.Size = new System.Drawing.Size(10, 19);
            this.lblVis.TabIndex = 11;
            // 
            // chkVisHist
            // 
            this.chkVisHist.AutoSize = true;
            this.chkVisHist.Location = new System.Drawing.Point(25, 348);
            this.chkVisHist.Name = "chkVisHist";
            this.chkVisHist.Size = new System.Drawing.Size(89, 19);
            this.chkVisHist.TabIndex = 21;
            this.chkVisHist.Text = "Histgram";
            this.chkVisHist.UseVisualStyleBackColor = true;
            // 
            // rdoVisGray
            // 
            this.rdoVisGray.AutoSize = true;
            this.rdoVisGray.Font = new System.Drawing.Font("MS UI Gothic", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.rdoVisGray.Location = new System.Drawing.Point(106, 315);
            this.rdoVisGray.Name = "rdoVisGray";
            this.rdoVisGray.Size = new System.Drawing.Size(96, 19);
            this.rdoVisGray.TabIndex = 19;
            this.rdoVisGray.Text = "Grayscale";
            this.rdoVisGray.UseVisualStyleBackColor = true;
            // 
            // rdoVisEdge
            // 
            this.rdoVisEdge.AutoSize = true;
            this.rdoVisEdge.Font = new System.Drawing.Font("MS UI Gothic", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.rdoVisEdge.Location = new System.Drawing.Point(208, 315);
            this.rdoVisEdge.Name = "rdoVisEdge";
            this.rdoVisEdge.Size = new System.Drawing.Size(59, 19);
            this.rdoVisEdge.TabIndex = 18;
            this.rdoVisEdge.Text = "Edge";
            this.rdoVisEdge.UseVisualStyleBackColor = true;
            // 
            // rdoVisNormal
            // 
            this.rdoVisNormal.AutoSize = true;
            this.rdoVisNormal.Checked = true;
            this.rdoVisNormal.Font = new System.Drawing.Font("MS UI Gothic", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.rdoVisNormal.Location = new System.Drawing.Point(25, 315);
            this.rdoVisNormal.Name = "rdoVisNormal";
            this.rdoVisNormal.Size = new System.Drawing.Size(75, 19);
            this.rdoVisNormal.TabIndex = 17;
            this.rdoVisNormal.TabStop = true;
            this.rdoVisNormal.Text = "Normal";
            this.rdoVisNormal.UseVisualStyleBackColor = true;
            // 
            // pbUSBCam
            // 
            this.pbUSBCam.BackgroundImage = global::ORiN_TC3_Demo1.Properties.Resources.USBCam;
            this.pbUSBCam.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.pbUSBCam.Location = new System.Drawing.Point(0, 0);
            this.pbUSBCam.Name = "pbUSBCam";
            this.pbUSBCam.Size = new System.Drawing.Size(40, 43);
            this.pbUSBCam.TabIndex = 16;
            this.pbUSBCam.TabStop = false;
            // 
            // btnVisConn
            // 
            this.btnVisConn.Font = new System.Drawing.Font("MS UI Gothic", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.btnVisConn.Location = new System.Drawing.Point(260, 16);
            this.btnVisConn.Name = "btnVisConn";
            this.btnVisConn.Size = new System.Drawing.Size(80, 27);
            this.btnVisConn.TabIndex = 12;
            this.btnVisConn.Text = "Connect";
            this.btnVisConn.UseVisualStyleBackColor = true;
            this.btnVisConn.Click += new System.EventHandler(this.btnVisConn_Click);
            // 
            // picVis
            // 
            this.picVis.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.picVis.Location = new System.Drawing.Point(20, 49);
            this.picVis.Name = "picVis";
            this.picVis.Size = new System.Drawing.Size(320, 260);
            this.picVis.TabIndex = 1;
            this.picVis.TabStop = false;
            // 
            // gboxQR
            // 
            this.gboxQR.BackColor = System.Drawing.Color.Transparent;
            this.gboxQR.Controls.Add(this.pbQRReader);
            this.gboxQR.Controls.Add(this.txtQR);
            this.gboxQR.Controls.Add(this.btnQR);
            this.gboxQR.Controls.Add(this.lblQR);
            this.gboxQR.Font = new System.Drawing.Font("MS UI Gothic", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.gboxQR.Location = new System.Drawing.Point(15, 437);
            this.gboxQR.Name = "gboxQR";
            this.gboxQR.Size = new System.Drawing.Size(360, 208);
            this.gboxQR.TabIndex = 1;
            this.gboxQR.TabStop = false;
            this.gboxQR.Text = "       QR/Bar Code";
            // 
            // pbQRReader
            // 
            this.pbQRReader.BackgroundImage = global::ORiN_TC3_Demo1.Properties.Resources.QRReader;
            this.pbQRReader.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.pbQRReader.Location = new System.Drawing.Point(0, 0);
            this.pbQRReader.Name = "pbQRReader";
            this.pbQRReader.Size = new System.Drawing.Size(40, 43);
            this.pbQRReader.TabIndex = 12;
            this.pbQRReader.TabStop = false;
            // 
            // txtQR
            // 
            this.txtQR.Font = new System.Drawing.Font("MS UI Gothic", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.txtQR.Location = new System.Drawing.Point(5, 54);
            this.txtQR.Multiline = true;
            this.txtQR.Name = "txtQR";
            this.txtQR.ReadOnly = true;
            this.txtQR.Size = new System.Drawing.Size(350, 148);
            this.txtQR.TabIndex = 11;
            // 
            // btnQR
            // 
            this.btnQR.Font = new System.Drawing.Font("MS UI Gothic", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.btnQR.Location = new System.Drawing.Point(260, 16);
            this.btnQR.Name = "btnQR";
            this.btnQR.Size = new System.Drawing.Size(80, 27);
            this.btnQR.TabIndex = 10;
            this.btnQR.Text = "Connect";
            this.btnQR.UseVisualStyleBackColor = true;
            this.btnQR.Click += new System.EventHandler(this.btnQR_Click);
            // 
            // lblQR
            // 
            this.lblQR.BackColor = System.Drawing.Color.Gray;
            this.lblQR.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.lblQR.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(64)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
            this.lblQR.Location = new System.Drawing.Point(245, 22);
            this.lblQR.Name = "lblQR";
            this.lblQR.Size = new System.Drawing.Size(10, 19);
            this.lblQR.TabIndex = 9;
            // 
            // gboxIPCam
            // 
            this.gboxIPCam.BackColor = System.Drawing.Color.Transparent;
            this.gboxIPCam.Controls.Add(this.lblZoom);
            this.gboxIPCam.Controls.Add(this.lblTilt);
            this.gboxIPCam.Controls.Add(this.lblPan);
            this.gboxIPCam.Controls.Add(this.trkZoom);
            this.gboxIPCam.Controls.Add(this.trkTilt);
            this.gboxIPCam.Controls.Add(this.trkPan);
            this.gboxIPCam.Controls.Add(this.pnlIPCam);
            this.gboxIPCam.Controls.Add(this.pbIPCam);
            this.gboxIPCam.Controls.Add(this.btnIPCamConn);
            this.gboxIPCam.Controls.Add(this.lblIPCam);
            this.gboxIPCam.Controls.Add(this.picIPCam);
            this.gboxIPCam.Font = new System.Drawing.Font("MS UI Gothic", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.gboxIPCam.Location = new System.Drawing.Point(15, 23);
            this.gboxIPCam.Name = "gboxIPCam";
            this.gboxIPCam.Size = new System.Drawing.Size(360, 408);
            this.gboxIPCam.TabIndex = 0;
            this.gboxIPCam.TabStop = false;
            this.gboxIPCam.Text = "       IP Camera";
            // 
            // lblZoom
            // 
            this.lblZoom.AutoSize = true;
            this.lblZoom.Location = new System.Drawing.Point(2, 374);
            this.lblZoom.Name = "lblZoom";
            this.lblZoom.Size = new System.Drawing.Size(46, 15);
            this.lblZoom.TabIndex = 18;
            this.lblZoom.Text = "Zoom";
            // 
            // lblTilt
            // 
            this.lblTilt.AutoSize = true;
            this.lblTilt.Location = new System.Drawing.Point(15, 345);
            this.lblTilt.Name = "lblTilt";
            this.lblTilt.Size = new System.Drawing.Size(31, 15);
            this.lblTilt.TabIndex = 17;
            this.lblTilt.Text = "Tilt";
            // 
            // lblPan
            // 
            this.lblPan.AutoSize = true;
            this.lblPan.Location = new System.Drawing.Point(12, 315);
            this.lblPan.Name = "lblPan";
            this.lblPan.Size = new System.Drawing.Size(34, 15);
            this.lblPan.TabIndex = 16;
            this.lblPan.Text = "Pan";
            // 
            // trkZoom
            // 
            this.trkZoom.Enabled = false;
            this.trkZoom.Location = new System.Drawing.Point(52, 370);
            this.trkZoom.Name = "trkZoom";
            this.trkZoom.Size = new System.Drawing.Size(288, 45);
            this.trkZoom.TabIndex = 15;
            this.trkZoom.TickStyle = System.Windows.Forms.TickStyle.None;
            this.trkZoom.ValueChanged += new System.EventHandler(this.trkPTZ_Changed);
            // 
            // trkTilt
            // 
            this.trkTilt.Enabled = false;
            this.trkTilt.Location = new System.Drawing.Point(52, 340);
            this.trkTilt.Name = "trkTilt";
            this.trkTilt.Size = new System.Drawing.Size(288, 45);
            this.trkTilt.TabIndex = 13;
            this.trkTilt.TickStyle = System.Windows.Forms.TickStyle.None;
            this.trkTilt.ValueChanged += new System.EventHandler(this.trkPTZ_Changed);
            // 
            // trkPan
            // 
            this.trkPan.Enabled = false;
            this.trkPan.Location = new System.Drawing.Point(52, 310);
            this.trkPan.Name = "trkPan";
            this.trkPan.Size = new System.Drawing.Size(288, 45);
            this.trkPan.TabIndex = 12;
            this.trkPan.TickStyle = System.Windows.Forms.TickStyle.None;
            this.trkPan.ValueChanged += new System.EventHandler(this.trkPTZ_Changed);
            // 
            // pnlIPCam
            // 
            this.pnlIPCam.Controls.Add(this.rdoIPCam2);
            this.pnlIPCam.Controls.Add(this.rdoIPCam1);
            this.pnlIPCam.Location = new System.Drawing.Point(245, 16);
            this.pnlIPCam.Name = "pnlIPCam";
            this.pnlIPCam.Size = new System.Drawing.Size(95, 27);
            this.pnlIPCam.TabIndex = 11;
            // 
            // rdoIPCam2
            // 
            this.rdoIPCam2.AutoSize = true;
            this.rdoIPCam2.Enabled = false;
            this.rdoIPCam2.Location = new System.Drawing.Point(50, 3);
            this.rdoIPCam2.Name = "rdoIPCam2";
            this.rdoIPCam2.Size = new System.Drawing.Size(34, 19);
            this.rdoIPCam2.TabIndex = 3;
            this.rdoIPCam2.Text = "2";
            this.rdoIPCam2.UseVisualStyleBackColor = true;
            // 
            // rdoIPCam1
            // 
            this.rdoIPCam1.AutoSize = true;
            this.rdoIPCam1.Checked = true;
            this.rdoIPCam1.Enabled = false;
            this.rdoIPCam1.Location = new System.Drawing.Point(10, 3);
            this.rdoIPCam1.Name = "rdoIPCam1";
            this.rdoIPCam1.Size = new System.Drawing.Size(34, 19);
            this.rdoIPCam1.TabIndex = 2;
            this.rdoIPCam1.TabStop = true;
            this.rdoIPCam1.Text = "1";
            this.rdoIPCam1.UseVisualStyleBackColor = true;
            this.rdoIPCam1.CheckedChanged += new System.EventHandler(this.rdoIPCam1_CheckedChanged);
            // 
            // pbIPCam
            // 
            this.pbIPCam.BackgroundImage = global::ORiN_TC3_Demo1.Properties.Resources.IPCam;
            this.pbIPCam.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.pbIPCam.Location = new System.Drawing.Point(0, 0);
            this.pbIPCam.Name = "pbIPCam";
            this.pbIPCam.Size = new System.Drawing.Size(40, 43);
            this.pbIPCam.TabIndex = 10;
            this.pbIPCam.TabStop = false;
            // 
            // btnIPCamConn
            // 
            this.btnIPCamConn.Font = new System.Drawing.Font("MS UI Gothic", 10F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.btnIPCamConn.Location = new System.Drawing.Point(160, 16);
            this.btnIPCamConn.Name = "btnIPCamConn";
            this.btnIPCamConn.Size = new System.Drawing.Size(80, 27);
            this.btnIPCamConn.TabIndex = 1;
            this.btnIPCamConn.Text = "Connect";
            this.btnIPCamConn.UseVisualStyleBackColor = true;
            this.btnIPCamConn.Click += new System.EventHandler(this.btnIPCamConn_Click);
            // 
            // lblIPCam
            // 
            this.lblIPCam.BackColor = System.Drawing.Color.Gray;
            this.lblIPCam.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
            this.lblIPCam.ForeColor = System.Drawing.Color.FromArgb(((int)(((byte)(64)))), ((int)(((byte)(0)))), ((int)(((byte)(0)))));
            this.lblIPCam.Location = new System.Drawing.Point(145, 22);
            this.lblIPCam.Name = "lblIPCam";
            this.lblIPCam.Size = new System.Drawing.Size(10, 19);
            this.lblIPCam.TabIndex = 0;
            // 
            // picIPCam
            // 
            this.picIPCam.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
            this.picIPCam.Location = new System.Drawing.Point(20, 49);
            this.picIPCam.Name = "picIPCam";
            this.picIPCam.Size = new System.Drawing.Size(320, 260);
            this.picIPCam.TabIndex = 0;
            this.picIPCam.TabStop = false;
            // 
            // lstMsgPane
            // 
            this.lstMsgPane.Font = new System.Drawing.Font("MS UI Gothic", 9.75F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.lstMsgPane.FormattingEnabled = true;
            this.lstMsgPane.Location = new System.Drawing.Point(0, 705);
            this.lstMsgPane.Name = "lstMsgPane";
            this.lstMsgPane.Size = new System.Drawing.Size(770, 56);
            this.lstMsgPane.TabIndex = 4;
            // 
            // picLayer
            // 
            this.picLayer.BackgroundImage = global::ORiN_TC3_Demo1.Properties.Resources.ORiN_TC3_Layer;
            this.picLayer.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Zoom;
            this.picLayer.Location = new System.Drawing.Point(776, 420);
            this.picLayer.Name = "picLayer";
            this.picLayer.Size = new System.Drawing.Size(590, 301);
            this.picLayer.TabIndex = 20;
            this.picLayer.TabStop = false;
            // 
            // frmMain
            // 
            this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
            this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
            this.BackColor = System.Drawing.SystemColors.Control;
            this.ClientSize = new System.Drawing.Size(1366, 768);
            this.Controls.Add(this.picLayer);
            this.Controls.Add(this.lstMsgPane);
            this.Controls.Add(this.btnClose);
            this.Controls.Add(this.btnDisconnectAll);
            this.Controls.Add(this.btnConnectAll);
            this.Controls.Add(this.gboxTC3);
            this.Controls.Add(this.gboxORiN);
            this.Controls.Add(this.lblDemo);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
            this.Name = "frmMain";
            this.Text = "ORiN Embedded Beckhoff IPC";
            this.FormClosed += new System.Windows.Forms.FormClosedEventHandler(this.frmMain_FormClosed);
            this.Load += new System.EventHandler(this.frmMain_Load);
            this.gboxTC3.ResumeLayout(false);
            this.gboxTC3Motor.ResumeLayout(false);
            this.gboxTC3Motor.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbMotor)).EndInit();
            this.gboxTC3IO.ResumeLayout(false);
            this.gboxTC3IO.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbIO)).EndInit();
            this.gboxORiN.ResumeLayout(false);
            this.gboxRC8.ResumeLayout(false);
            ((System.ComponentModel.ISupportInitialize)(this.pbRC8)).EndInit();
            this.gboxUSBCam.ResumeLayout(false);
            this.gboxUSBCam.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbUSBCam)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.picVis)).EndInit();
            this.gboxQR.ResumeLayout(false);
            this.gboxQR.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbQRReader)).EndInit();
            this.gboxIPCam.ResumeLayout(false);
            this.gboxIPCam.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.trkZoom)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.trkTilt)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.trkPan)).EndInit();
            this.pnlIPCam.ResumeLayout(false);
            this.pnlIPCam.PerformLayout();
            ((System.ComponentModel.ISupportInitialize)(this.pbIPCam)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.picIPCam)).EndInit();
            ((System.ComponentModel.ISupportInitialize)(this.picLayer)).EndInit();
            this.ResumeLayout(false);

        }

        #endregion

        private System.Windows.Forms.Label lblDemo;
        private System.Windows.Forms.GroupBox gboxORiN;
        private System.Windows.Forms.GroupBox gboxTC3;
        private System.Windows.Forms.GroupBox gboxIPCam;
        private System.Windows.Forms.Button btnIPCamConn;
        private System.Windows.Forms.Label lblIPCam;
        private System.Windows.Forms.PictureBox picIPCam;
        private System.Windows.Forms.GroupBox gboxTC3Motor;
        private System.Windows.Forms.GroupBox gboxTC3IO;
        private System.Windows.Forms.GroupBox gboxQR;
        private System.Windows.Forms.GroupBox gboxRC8;
        private System.Windows.Forms.Button btnRoboConn;
        private System.Windows.Forms.Label lblRobo;
        private System.Windows.Forms.GroupBox gboxUSBCam;
        private System.Windows.Forms.Button btnVisConn;
        private System.Windows.Forms.Label lblVis;
        private System.Windows.Forms.PictureBox picVis;
        private System.Windows.Forms.TextBox txtQR;
        private System.Windows.Forms.Button btnQR;
        private System.Windows.Forms.Label lblQR;
        private System.Windows.Forms.Button btnTC3Conn;
        private System.Windows.Forms.Label lblTC3;
        private System.Windows.Forms.Button btnConnectAll;
        private System.Windows.Forms.Button btnDisconnectAll;
        private System.Windows.Forms.Button btnClose;
        private System.Windows.Forms.Button btnRoboStop;
        private System.Windows.Forms.Button btnRoboStart;
        private System.Windows.Forms.ComboBox cmbProgList;
        private System.Windows.Forms.Timer timIPCam;
        private System.Windows.Forms.ListBox lstMsgPane;
        private System.Windows.Forms.Timer timVis;
        private System.Windows.Forms.Timer timRobot;
        private System.Windows.Forms.Timer timTC3;
        private System.Windows.Forms.PictureBox pbUSBCam;
        private System.Windows.Forms.PictureBox pbQRReader;
        private System.Windows.Forms.PictureBox pbRC8;
        private System.Windows.Forms.PictureBox pbIO;
        private System.Windows.Forms.PictureBox pbMotor;

        private System.Drawing.Bitmap ConvertAlphaChannel(System.Drawing.Image img, float fAlpha)
        {
            System.Drawing.Bitmap newBmp = new System.Drawing.Bitmap(img.Width, img.Height);

            System.Drawing.Graphics g = System.Drawing.Graphics.FromImage(newBmp);

            System.Drawing.Imaging.ColorMatrix cm = new System.Drawing.Imaging.ColorMatrix();
            cm.Matrix00 = 1f;
            cm.Matrix11 = 1f;
            cm.Matrix22 = 1f;
            cm.Matrix33 = fAlpha;
            cm.Matrix44 = 1f;

            System.Drawing.Imaging.ImageAttributes ia = new System.Drawing.Imaging.ImageAttributes();
            ia.SetColorMatrix(cm);

            g.DrawImage(img, new System.Drawing.Rectangle(0, 0, img.Width, img.Height),
                0, 0, img.Width, img.Height, System.Drawing.GraphicsUnit.Pixel, ia);

            g.Dispose();

            return newBmp;
        }

        private System.Drawing.Bitmap ConvertTransparent(System.Drawing.Image img, System.Drawing.Color trans)
        {
            System.Drawing.Bitmap newBmp = new System.Drawing.Bitmap(img.Width, img.Height);

            System.Drawing.Graphics g = System.Drawing.Graphics.FromImage(newBmp);
            g.DrawImage(img, new System.Drawing.Rectangle(0, 0, img.Width, img.Height));

            g.Dispose();

            newBmp.MakeTransparent(trans);

           return newBmp;
        }

        private System.Windows.Forms.RichTextBox txtPCSValue;
        private System.Windows.Forms.CheckBox chkVisHist;
        private System.Windows.Forms.RadioButton rdoVisGray;
        private System.Windows.Forms.RadioButton rdoVisEdge;
        private System.Windows.Forms.RadioButton rdoVisNormal;
        private System.Windows.Forms.Label lblDirection;
        private System.Windows.Forms.Label lblTC3Dir;
        private System.Windows.Forms.Label lblTC3Vel;
        private System.Windows.Forms.ProgressBar prgVelocity;
        private System.Windows.Forms.Label lblTC3IO5;
        private System.Windows.Forms.Label lblTC3IO4;
        private System.Windows.Forms.Label lblTC3IO3;
        private System.Windows.Forms.Label lblTC3IO2;
        private System.Windows.Forms.Label lblTC3IO1;
        private Microsoft.VisualBasic.PowerPacks.ShapeContainer shapeContainer1;
        private Microsoft.VisualBasic.PowerPacks.RectangleShape rcDI5;
        private Microsoft.VisualBasic.PowerPacks.RectangleShape rcDI4;
        private Microsoft.VisualBasic.PowerPacks.RectangleShape rcDI3;
        private Microsoft.VisualBasic.PowerPacks.RectangleShape rcDI2;
        private Microsoft.VisualBasic.PowerPacks.RectangleShape rcDI1;
        private System.Windows.Forms.PictureBox pbIPCam;
        private System.Windows.Forms.PictureBox picLayer;
        private System.Windows.Forms.Label lblTC3Pos;
        private System.Windows.Forms.Panel pnlIPCam;
        private System.Windows.Forms.RadioButton rdoIPCam2;
        private System.Windows.Forms.RadioButton rdoIPCam1;
        private System.Windows.Forms.Label txtVelocity;
        private System.Windows.Forms.Label txtPosition;
        private System.Windows.Forms.ProgressBar prgPosition;
        private System.Windows.Forms.TrackBar trkZoom;
        private System.Windows.Forms.TrackBar trkTilt;
        private System.Windows.Forms.TrackBar trkPan;
        private System.Windows.Forms.Label lblZoom;
        private System.Windows.Forms.Label lblTilt;
        private System.Windows.Forms.Label lblPan;
    }
}

